.\"     $NetBSD: sc.4,v 1.6 2003/02/14 15:20:19 grant Exp $
.\"
.\" written from a reading of config files and driver source code
.\" Erik E. Fair <fair@NetBSD.org>
.\" Matt Fredette <fredette@NetBSD.org>
.Dd June 28, 2001
.Dt SC 4
.Os
.Sh NAME
.Nm sc
.Nd Sun Sun-2 SCSI bus host adaptor driver
.Sh SYNOPSIS
.Ss sun2
.Cd "sc0 at mbmem0 addr 0x80000 ipl 2"
.Cd "sc1 at mbmem0 addr 0x84000 ipl 2"
.Ss sun2 and sun4
.Cd "sc0 at vme0 addr 0x200000 irq 2 vec 0x40"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
Sun Microsystems
.Qq Sun-2
.Tn SCSI
Bus Controller chipset found on various
VME boards
.Pq Sun part #s 501-1045, 501-1138, 501-1149, and 501-1167
and on the
.Qq Sun-2 SCSI/Serial
.Pq Sun part # 501-1006
Multibus board.
.Pp
All
versions of this driver can be configured with a
.Em flags
directive in the
.Xr config 1
file.
The values are bits in a bitfield, and are interpreted as follows:
.Pp
.Bl -tag -offset indent -compact -width 0x000ff
.It 0x0ff
Set bit (1\*[Lt]\*[Lt]target) to disable
.Tn SCSI
parity checking
.It 0x100
Set this bit to disable
.Tn DMA
interrupts (poll)
.It 0x200
Set this bit to disable
.Tn DMA
entirely (use PIO)
.El
.Pp
For example:
.Qq flags 0x1ff
would disable
.Tn DMA
interrupts, and disable parity checking for targets 0-7.
The
.Qq target
is the
.Tn SCSI
ID number of a particular device on a particular
.Tn SCSI
bus.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
.Sh AUTHORS
.An Matt Fredette
.Aq fredette@NetBSD.org ,
.An David Jones,
.An Gordon Ross
.Aq gwr@NetBSD.org ,
.An Adam Glass
.Aq glass@NetBSD.org ,
.An Jason R. Thorpe
.Aq thorpej@NetBSD.org .
.Sh BUGS
This
.Tn SCSI
chipset is rumored to have bugs in its handling of
.Tn SCSI
parity, therefore it is recommended that you disable parity
on all
.Tn SCSI
devices connected to this controller, and configure it with
a
0x0ff
value for its
.Em flags
directive in the
.Xr config 1
file.
.Pp
This
chipset has no support for raising the
.Tn ATN
signal, so there is no way to ever schedule a
.Tn MSG_OUT
phase on the bus.  Currently, the driver will ultimately
reset the bus if this phase is ever requested by the upper
layer
.Tn SCSI
driver.
.Pp
This chipset has no support for
.Tn SCSI
disconnect/reselect.  This means that slow devices,
such as tape drives, can hog, or
.Qq lock up
the SCSI bus.
.Pp
This driver has not been tested in combination with
non-SCSI devices behind
.Tn Emulex
or
.Tn Adaptec
bridges, which are common in
.Tn Sun
2s and in
.Tn Sun
Shoebox-type configurations.
These devices pre-date the
.Tn SCSI-I
spec, and might not behave the way the chipset code currently expects.
